Subject: Re: bug#48419: Unexpected problem during install of Guix System 1.3.0

From: Bengt Richter <[email-masked]>
Date: Sat, 15 May 2021 11:35:06 +0200

Hi,

On +2021-05-14 16:50:48 +0200, Matthias Cullmann wrote:
> Hi there,
> 
> I am trying to install Guix System 1.3.0 on an Asus ZenBook UX305 using the
> wizard.
> 
> After the partitioning I get the error in the attached screen shot.
> 
> ( mount "/dev/sda1" on "mnt/boot/ef" : No such device)
> 
> I had Linux installed already on this computer and would not need to
> re-partition.
> 
> Any ideas how to fix this?
> 
> Thx & regards,
> 
> Matthias
> 
what does this output?
--8<---------------cut here---------------start------------->8---
$ ls /dev/disk/by-id/*|xargs file
--8<---------------cut here---------------end--------------->8---

Maybe you have nve disk that does not get translated to /dev/sdaX ?

If you have linux running, try
--8<---------------cut here---------------start------------->8---
$ lsblk -f
--8<---------------cut here---------------end--------------->8---

Maybe you will see something like

nvme0n1
├─nvme0n1p1 ...
└─nvme0n1p2 ...

which would suggest that your
    /dev/sda1
maybe should be
    /dev/nvme0n1p1

but in general, IMO device references without unique id's are bloody feet waiting to happen.

I would suggest looking at uuid's for file systems, partitions, or devices,
such as you can view with lsblk

-- 
Regards,
Bengt Richter